Uses of Interface
io.vertx.core.http.HttpServerRequest
Packages that use HttpServerRequest
Package
Description
-
Uses of HttpServerRequest in io.vertx.core.http
Fields in io.vertx.core.http with type parameters of type HttpServerRequestModifier and TypeFieldDescriptionstatic final Handler<HttpServerRequest> HttpServerRequest.DEFAULT_INVALID_REQUEST_HANDLERThe default invalid request handler, it uses theHttpServerRequest.decoderResult()cause and the request information to determine the status code of the response to be sent.Methods in io.vertx.core.http that return HttpServerRequestModifier and TypeMethodDescriptiondefault HttpServerRequestHttpServerRequest.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpServerRequest.customFrameHandler(Handler<HttpFrame> handler) Set a custom frame handler.HttpServerRequest.endHandler(Handler<Void> endHandler) HttpServerRequest.exceptionHandler(Handler<Throwable> handler) HttpServerRequest.fetch(long amount) HttpServerRequest.pause()HttpServerRequest.resume()default HttpServerRequestMarks this request as being routed to the given route.HttpServerRequest.setExpectMultipart(boolean expect) Call this with true if you are expecting a multi-part body to be submitted in the request.HttpServerRequest.setParamsCharset(String charset) Override the charset to use for decoding the query parameter map, when none is set,UTF8is used.HttpServerRequest.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changesHttpServerRequest.uploadHandler(Handler<HttpServerFileUpload> uploadHandler) Set an upload handler.Methods in io.vertx.core.http that return types with arguments of type HttpServerRequestMethod parameters in io.vertx.core.http with type arguments of type HttpServerRequestModifier and TypeMethodDescriptionHttpServer.invalidRequestHandler(Handler<HttpServerRequest> handler) Set ahandlerfor handling invalid requests.HttpServer.requestHandler(Handler<HttpServerRequest> handler) Set the request handler for the server torequestHandler. -
Uses of HttpServerRequest in io.vertx.ext.web
Subinterfaces of HttpServerRequest in io.vertx.ext.webModifier and TypeInterfaceDescriptioninterfaceExtends to access the routing context associated with the request.Subinterfaces with type arguments of type HttpServerRequest in io.vertx.ext.webModifier and TypeInterfaceDescriptioninterfaceA router receives request from anHttpServerand routes it to the first matchingRoutethat it contains.Methods in io.vertx.ext.web that return HttpServerRequest -
Uses of HttpServerRequest in io.vertx.grpc.server
Subinterfaces with type arguments of type HttpServerRequest in io.vertx.grpc.serverModifier and TypeInterfaceDescriptioninterfaceA gRPC server based on Vert.x HTTP server. -
Uses of HttpServerRequest in io.vertx.httpproxy
Subinterfaces with type arguments of type HttpServerRequest in io.vertx.httpproxyModifier and TypeInterfaceDescriptioninterfaceHandles the HTTP reverse proxy logic between the user agent and the origin.Methods in io.vertx.httpproxy that return HttpServerRequestMethods in io.vertx.httpproxy with parameters of type HttpServerRequestModifier and TypeMethodDescriptionvoidHttpProxy.handle(HttpServerRequest request) Handle the outboundHttpServerRequest.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest) Create a newProxyRequestinstance, the proxied request will be paused.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest, ForwardedHeadersOptions forwardedHeadersOptions) LikeProxyRequest.reverseProxy(HttpServerRequest)but using specific For -
Uses of HttpServerRequest in io.vertx.micrometer
Methods in io.vertx.micrometer that return types with arguments of type HttpServerRequestModifier and TypeMethodDescriptionstatic Handler<HttpServerRequest> PrometheusRequestHandler.create()Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Handler<HttpServerRequest> PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").static Handler<HttpServerRequest> PrometheusRequestHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint) Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint. -
Uses of HttpServerRequest in io.vertx.openapi.validation
Methods in io.vertx.openapi.validation with parameters of type HttpServerRequestModifier and TypeMethodDescriptionstatic Future<ValidatableRequest> RequestUtils.extract(HttpServerRequest request, Operation operation) Extracts and transforms the parameters and the body of an incoming request into aformatthat can be validated by theRequestValidator.static Future<ValidatableRequest> RequestUtils.extract(HttpServerRequest request, Operation operation, Supplier<Future<Buffer>> bodySupplier) LikeRequestUtils.extract(HttpServerRequest, Operation), but offers to pass a supplier fpr the body.static Future<ValidatableRequest> ValidatableRequest.of(HttpServerRequest request, Operation operation) RequestValidator.validate(HttpServerRequest request) LikeRequestValidator.validate(ValidatableRequest, String), but the operationId andValidatableRequestare determined from the passed request.RequestValidator.validate(HttpServerRequest request, String operationId) LikeRequestValidator.validate(ValidatableRequest, String), butValidatableRequestare directly extracted from the passed request. -
Uses of HttpServerRequest in io.vertx.reactivex.core.http
Methods in io.vertx.reactivex.core.http that return HttpServerRequestMethods in io.vertx.reactivex.core.http with parameters of type HttpServerRequestModifier and TypeMethodDescriptionstatic HttpServerRequestHttpServerRequest.newInstance(HttpServerRequest arg) Constructors in io.vertx.reactivex.core.http with parameters of type HttpServerRequest -
Uses of HttpServerRequest in io.vertx.rxjava3.core.http
Methods in io.vertx.rxjava3.core.http that return HttpServerRequestMethods in io.vertx.rxjava3.core.http with parameters of type HttpServerRequestModifier and TypeMethodDescriptionstatic HttpServerRequestHttpServerRequest.newInstance(HttpServerRequest arg) Constructors in io.vertx.rxjava3.core.http with parameters of type HttpServerRequest